<?php

if (!function_exists('djompo_header_part')) {
	function djompo_header_part($template, $name = null){
		get_template_part( 'template/' . $template, $name);
	}
}

if (!function_exists('djompo_footer_part')) {
	function djompo_footer_part($template, $name = null){
		get_template_part( 'template/' . $template, $name);
	}
}

//Set the content width based on the theme's design and stylesheet.
if ( ! isset( $content_width ) )
	$content_width = 1200; /* pixels */

/*-----------------------------------------------------------------------------------*/
/*  SETUP THEME
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'djompo_setup' ) ) :

	function djompo_setup() {
		// several theme support
		add_theme_support( 'automatic-feed-links' );
		if(class_exists( 'acf' )) {
			add_theme_support( 'post-formats', array( 'gallery', 'video') );
		}
		if(!class_exists( 'Redux' )) {
			add_theme_support( 'custom-logo', array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			) );
		}
		add_theme_support( 'custom-background' );
		$djompo_def_bg = array(
		  'default-color'          => '#ffffff',
		);
		add_theme_support( 'custom-background', $djompo_def_bg );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form' ) );   
		add_theme_support( 'html5', array( 'gallery', 'caption' ) );
		load_theme_textdomain( 'djompo', get_template_directory() .'/languages' );
		add_theme_support( "title-tag" );

}
endif;
add_action( 'after_setup_theme', 'djompo_setup' );

function djompo_thumbnail_setup() {
	add_image_size( 'djompo-portfolio-widget-thumb', 100, 100, true );

	add_image_size( 'djompo-related', 370, 250, true );

	add_image_size( 'djompo-event-thumb', 70, 100, true );
}

add_action('after_setup_theme', 'djompo_thumbnail_setup');

/*-----------------------------------------------------------------------------------*/
/*  ACF
/*-----------------------------------------------------------------------------------*/

add_filter('acf/settings/show_admin', '__return_false');

/*-----------------------------------------------------------------------------------*/
/*  SCRIPTS & STYLES
/*-----------------------------------------------------------------------------------*/

function djompo_scripts() {

//All necessary CSS
$options = get_option('djompo_framework');

wp_enqueue_style( 'djompo-plugin', get_template_directory_uri() .'/css/plugin.css', array(), null );
wp_enqueue_style( 'djompo-style', get_stylesheet_uri(), array( 'djompo-plugin' ) );
wp_enqueue_style( 'djompo-font', get_template_directory_uri() .'/css/font.css', array(), null );

wp_enqueue_style( 'djompo-responsive', get_template_directory_uri() .'/css/responsive.css', array(), null );
wp_enqueue_style( 'djompo-alternate', get_template_directory_uri() .'/css/alternate.css', array(), null );

//All Necessary Script
wp_enqueue_script( 'modernizr', get_template_directory_uri(). '/js/modernizr.js', array( 'jquery' ), '', false );
wp_enqueue_script( 'respond', get_template_directory_uri(). '/js/respond.js', array( 'jquery' ), '', false );
wp_enqueue_script( 'fitvids', get_template_directory_uri(). '/js/fitvids.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'classie', get_template_directory_uri(). '/js/classie.js', array( 'jquery' ), '', false );
wp_enqueue_script( 'wow', get_template_directory_uri(). '/js/wow.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'easing', get_template_directory_uri(). '/js/easing.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'smartmenus', get_template_directory_uri(). '/js/smartmenus.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'owlcarousel', get_template_directory_uri(). '/js/owlcarousel.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'infinitescroll', get_template_directory_uri(). '/js/infinitescroll.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'isotope', get_template_directory_uri(). '/js/isotope.js', array( 'jquery', 'imagesloaded' ), '', $in_footer = true );
wp_enqueue_script( 'headroom', get_template_directory_uri(). '/js/headroom.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'animeonscroll', get_template_directory_uri(). '/js/animeonscroll.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'bootstrap', get_template_directory_uri(). '/js/bootstrap.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'lightgallery', get_template_directory_uri(). '/js/lightgallery.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'stickykit', get_template_directory_uri(). '/js/stickykit.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'thumbsplugin', get_template_directory_uri(). '/js/thumbsplugin.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'uisearch', get_template_directory_uri(). '/js/uisearch.js', array( 'jquery' ), '', $in_footer = true );
wp_enqueue_script( 'djompo-main', get_template_directory_uri(). '/js/main.js', array( 'jquery' ), '', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}

add_action( 'wp_enqueue_scripts', 'djompo_scripts' );

/* customizer scripts */
function djompo_customizer_live_preview() {
	wp_enqueue_script( 'djompo-color-customizer', get_template_directory_uri().'/js/color-customizer.js', array( 'jquery','customize-preview' ), NULL, true);
}
add_action( 'customize_preview_init', 'djompo_customizer_live_preview' );

/* admin style on admin dashboard */
function djompo_admin_style() {
	wp_enqueue_style('djompo-admin-styles', get_template_directory_uri() .'/css/admin.css');
}
add_action('admin_enqueue_scripts', 'djompo_admin_style');

/* admin style on elementor editor */
if(is_user_logged_in()){
add_action( 'elementor/frontend/after_register_styles', function() {
	wp_enqueue_style('djompo-admin-styles2', get_template_directory_uri() .'/css/admin.css');
} );
}

add_action( 'elementor/editor/before_enqueue_scripts', function() {
	wp_enqueue_style('djompo-admin-styles1', get_template_directory_uri() .'/css/admin.css');
} );


/*-----------------------------------------------------------------------------------*/
/*  CALL FRAMEWORK
/*-----------------------------------------------------------------------------------*/

require_once( get_template_directory() . '/inc/option/panel/config.php' );

/*-----------------------------------------------------------------------------------*/
/*  MENU
/*-----------------------------------------------------------------------------------*/

//Register Menus
add_action( 'after_setup_theme', 'djompo_register_my_menu' );
function djompo_register_my_menu() {
	register_nav_menu( 'header-menu', esc_html__( 'Header Menu (Right/Primary)', 'djompo' ) ); 
	if ( class_exists( 'Redux' ) ) {
		register_nav_menu( 'footer-menu', esc_html__( 'Footer Menu', 'djompo' ) );
	}
}

//MAIN MENU
function djompo_main_nav_menu(){
	wp_nav_menu( array(
		'theme_location' => 'header-menu',
		'container'       => 'ul',
		'menu_class'      => 'sm sm-clean',
		'fallback_cb'  => 'djompo_header_menu_cb'
	));
}

if ( class_exists( 'Redux' ) ) {
// FOOTER MENU
function djompo_footer_menu(){
  wp_nav_menu( array(
	'theme_location' => 'footer-menu',
	'container'       => 'ul',
	'menu_class'      => 'sm',
  ));
}
}

// FALLBACK IF PRIMARY MENU HAVEN'T SET YET

function djompo_header_menu_cb() {
  echo '<ul id="menu-top-menu" class="menus sm sm-clean">';
  wp_list_pages('title_li=');
  echo '</ul>';
}

if ( class_exists( 'Redux' ) ) {
	function djompo_footer_menu_cb() {
	  echo '<ul id="menu-footer-menu" class="menus">';
	  wp_list_pages('title_li=');
	  echo '</ul>';
	}
}

/*-----------------------------------------------------------------------------------*/
/*  WIDGET
/*-----------------------------------------------------------------------------------*/

// SETUP DEFAULT SIDEBAR
function djompo_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Primary Sidebar', 'djompo' ),
		'id'            => 'primary-sidebar',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title"><span>',
		'after_title'   => '</span></h4>',
	) );
}
add_action( 'widgets_init', 'djompo_widgets_init' );

require_once( get_template_directory() . '/inc/widgets/djompo-latestpost-widget.php' );
require_once( get_template_directory() . '/inc/widgets/djompo-social-widget.php' );

/*-----------------------------------------------------------------------------------*/
/*  PAGINATION
/*-----------------------------------------------------------------------------------*/

function djompo_pagination($pages = '', $range = 2)
{  
	$showitems = ($range * 2)+1;  

	global $paged;
	if(empty($paged)) $paged = 1;

	if($pages == '')
	{
		global $wp_query;
		$pages = $wp_query->max_num_pages;
		if(!$pages)
		{
			$pages = 1;
		}
	}   

	if(1 != $pages)
	{
		echo "<div class='navigation-paging pagination-num'>";
		if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>" . esc_html_e( 'First', 'djompo' ) . "</a>";
		if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

		for ($i=1; $i <= $pages; $i++)
		{
			if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
			{
				echo ($paged == $i)? "<span class='btn current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='btn inactive' >".$i."</a>";
			}
		}

		if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>" . esc_html_e( 'Last', 'djompo' ) . "</a>";
		echo "</div>\n";
	}
}

/*-----------------------------------------------------------------------------------*/
/*  PLACEHOLDER
/*-----------------------------------------------------------------------------------*/

/* Add Placehoder in comment Form Fields (Name, Email, Website) */
 
add_filter( 'comment_form_default_fields', 'djompo_comment_placeholders' );
function djompo_comment_placeholders( $fields )
{
	$fields['author'] = str_replace(
		'<input',
		'<input placeholder="' . esc_attr__( 'Your Name', 'djompo' ) . '"',
		$fields['author']
	);
	$fields['email'] = str_replace(
		'<input',
		'<input placeholder="' . esc_attr__( 'Your Email', 'djompo' ) . '"',
		$fields['email']
	);
	$fields['url'] = str_replace(
		'<input',
		'<input placeholder="' . esc_attr__( 'Website URL', 'djompo' ) . '"',
		$fields['url']
	);
	return $fields;
}

/* Add Placehoder in comment Form Field (Comment) */
add_filter( 'comment_form_defaults', 'djompo_textarea_placeholder' );

function djompo_textarea_placeholder( $fields )
{
	$fields['comment_field'] = str_replace(
		'<textarea',
		'<textarea placeholder="' . esc_attr__( 'Your thoughts..', 'djompo' ) . '"',
		$fields['comment_field']
	);

	return $fields;
}

/*-----------------------------------------------------------------------------------*/
/*  CUSTOM FUNCTIONS
/*-----------------------------------------------------------------------------------*/
require_once( get_template_directory() . '/inc/function/custom.php' );
require_once( get_template_directory() . '/inc/function/navigation.php' );
require_once( get_template_directory() . '/inc/function/aq_resizer.php' );
require_once( get_template_directory() . '/inc/function/comment.php' );
require_once( get_template_directory() . '/inc/function/akmanda-customizer.php' );
require_once( get_template_directory() . '/inc/function/meta-box.php' );
require_once( get_template_directory() . '/inc/function/thefooter.php' );

/* Customizer Inline Style */
require_once( get_template_directory() . '/inc/function/inline-styles.php' );

// INSTALL NECESSARY PLUGINS
require_once( get_template_directory() . '/class-tgm.php' ); /*activate plugin function*/

/* body custom class */
add_filter( 'body_class', 'djompo_body_custom_class' );
function djompo_body_custom_class( $classes ) {

	if ( class_exists( 'Redux' ) ) {
		$classes[] = 'header-style-1';
	}
	else {
		$classes[] = 'header-style-1 no-redux';
	}
	return $classes;
}

function djompo_post_class($classes) {

	if(!is_singular()) {
		if ( !has_post_thumbnail() && !has_post_format('gallery') && !has_post_format('video')) {
			$classes[] = 'blog-item column column-2 no-thumb clearfix';
		}
		elseif(class_exists( 'acf' ) && has_post_format('gallery')) {
			$images = get_field('djompo_gallery');
			if(empty($images) && !has_post_thumbnail()) {
				$classes[] = 'blog-item column column-2 no-thumb clearfix';
			}
			else {
				$classes[] = 'blog-item column column-2 clearfix';
			}
		}
		elseif(class_exists( 'acf' ) && has_post_format('video')) {
			$video_url = get_field('video_url');
			$video_embed = get_field('video_embed');
			$video_file = get_field('video_file');
			if(empty($video_url) && empty($video_embed) && empty($video_file) && !has_post_thumbnail()) {
				$classes[] = 'blog-item column column-2 no-thumb clearfix';
			}
			else {
				$classes[] = 'blog-item column column-2 clearfix';
			}
		}
		else {
			$classes[] = 'blog-item column column-2 clearfix';
		}
	}
	else {
		if ( !has_post_thumbnail() && !has_post_format('gallery') && !has_post_format('video')) {
			$classes[] = 'blog-item no-thumb clearfix';
		}
		elseif(class_exists( 'acf' ) && has_post_format('gallery')) {
			$images = get_field('djompo_gallery');
			if(empty($images) && !has_post_thumbnail()) {
				$classes[] = 'blog-item no-thumb clearfix';
			}
			else {
				$classes[] = 'blog-item clearfix';
			}
		}
		elseif(class_exists( 'acf' ) && has_post_format('video')) {
			$video_url = get_field('video_url');
			$video_embed = get_field('video_embed');
			$video_file = get_field('video_file');
			if(empty($video_url) && empty($video_embed) && empty($video_file) && !has_post_thumbnail()) {
				$classes[] = 'blog-item no-thumb clearfix';
			}
			else {
				$classes[] = 'blog-item clearfix';
			}
		}
		else {
			$classes[] = 'blog-item clearfix';
		}
	}
	return $classes;
}
add_filter('post_class', 'djompo_post_class');