<!DOCTYPE html>
<!--[if (gte IE 9)|!(IE)]><!--><html <?php language_attributes(); ?> > <!--<![endif]-->

<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<!--[if ie]><meta http-equiv='X-UA-Compatible' content="IE=edge,IE=9,IE=8,chrome=1" /><![endif]-->

<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

<?php wp_head(); ?>

</head>

<body id="body" <?php body_class() ;?>>
<?php

if(class_exists( 'Redux' )) {
$djompo_options 			= get_option('djompo_framework');

$djompo_options = get_option('djompo_framework');
$djompo_upload_logo = '';
if (isset($djompo_options['logo_upload'])) {
	$logo = $djompo_options['logo_upload'];
	$djompo_upload_logo = $logo['url'];
} 

if(class_exists( 'acf' )) {
	$djompo_header_style_choice = get_field('header_style_choice');
}
?>

	<div id="preloader">
		<div id="status">&nbsp;</div>
	</div>
	
	<div id="main-wrapper" class="main-wrapper clearfix">

		<!-- Header
		============================================= -->
		<header id="header" class="header-style-1-wrap inner-head-wrap clearfix">

			<!--Header Top-->
			<?php djompo_top_menu(); ?>
			<!-- End Header Top -->

			<div class="container">

				<div class="header-clear inner-main-header clearfix">
					<div class="fl horizontal text-left clearfix">
						<?php if ( ! empty( $djompo_upload_logo ) ) { ?>
						<div class="logo-image">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<img src="<?php echo esc_url( $djompo_upload_logo ); ?>" alt="<?php echo esc_attr__( 'logo', 'djompo' ); ?>" />
							</a>
						</div>
						<?php }
						else { ?>
						<div class="logo-title head-item">
							<h1 class="site-title">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" class="header-logo"><?php echo esc_attr( get_bloginfo( 'name' ) ); ?></a>
							</h1>
						</div>
						<?php } ?>
						<!-- end logo -->
					</div>

					<div class="fr horizontal text-right clearfix">
						<!-- Mobile menu toggle button (hamburger/x icon) -->
						<input id="main-menu-state" type="checkbox" />
						<label class="main-menu-btn sub-menu-triger" for="main-menu-state">
							<span class="main-menu-btn-icon"></span>
						</label>

						<!-- Primary Navigation
						============================================= -->
						<nav id="primary-menu" class="menu main-menu head-item">
							<?php djompo_main_nav_menu(); ?>
						</nav>
						<!-- end primary menu -->

						<!--Search Box-->
						<div class="search-box-outer">
							<div id="sb-search" class="sb-search">
								<form>
									<input class="sb-search-input" placeholder="<?php echo esc_attr__( 'Enter your search term...', 'djompo' ); ?>" type="search" value="" name="search" id="search2">
									<input class="sb-search-submit" type="submit" value="">
									<span class="sb-icon-search"><i class="el el-search"></i></span>
								</form>
							</div>
						</div>
						<!--End Search Box-->
					</div>
					
				</div>
			</div>

		</header>

<?php }
else {
?>

	<div id="preloader">
		<div id="status">&nbsp;</div>
	</div>
	
	<div id="main-wrapper" class="main-wrapper clearfix">
	<!-- Header
	============================================= -->
	<header id="header" class="header-style-1-wrap inner-head-wrap clearfix no-redux">

		<div class="container">

			<div class="header-clear normal_header3  clearfix">
				<div class="fl horizontal header_left_float text-left clearfix">
					<div class="logo head-item">
						<?php the_custom_logo(); ?>
						<div class="logo-title head-item">
							<h2 class="site-title">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" class="header-logo"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a>
							</h2>
						</div>
					</div>
					<!-- end logo -->
				</div>

				<div class="fr horizontal header_right_float text-right clearfix">
					<!-- Mobile menu toggle button (hamburger/x icon) -->
					<input id="main-menu-state" type="checkbox" />
					<label class="main-menu-btn sub-menu-triger" for="main-menu-state">
						<span class="main-menu-btn-icon"></span>
					</label>

					<!-- Primary Navigation
					============================================= -->
					<nav id="primary-menu" class="menu main-menu head-item">
						<?php djompo_main_nav_menu(); ?>
					</nav>
					<!-- end primary menu -->

					<!--Search Box-->
					<div class="search-box-outer">
						<div id="sb-search" class="sb-search">
							<form>
								<input class="sb-search-input" placeholder="<?php echo esc_attr__( 'Enter your search term...', 'djompo' ); ?>" type="search" value="" name="search" id="search2">
								<input class="sb-search-submit" type="submit" value="">
								<span class="sb-icon-search"><i class="el el-search"></i></span>
							</form>
						</div>
					</div>
					<!--End Search Box-->
				</div>
				
			</div>
		</div>

	</header>
<?php } ?>
<!-- HEADER END -->