<article id="post-<?php the_ID(); ?>" <?php post_class( 'blog-item hentry clearfix'); ?>>
	
	<div class="post-content-wrap clearfix">
		<div class="single-wrapper clearfix">
			<div class="image-caption-content box-shadow-content">

				<?php 
				if ( class_exists( 'acf' ) ) { ?>
				<div class="featured-video clearfix">
					<?php 
						$djompo_video_url = get_field('video_url');
						$djompo_video_embed = get_field('video_embed');
						$djompo_video_file = get_field('video_file');
						
						if($djompo_video_url !== ''){ 
							echo wp_oembed_get( esc_url( $djompo_video_url ));
						} 

						elseif($djompo_video_embed !== '') { 
							echo wp_specialchars_decode(  $djompo_video_embed );
						}

						elseif($djompo_video_file !== '') {  ?>
						<?php echo do_shortcode( '[video src="'. esc_url( $djompo_video_file ).'"]' ) ?>  
					<?php } ?>
				</div>
				<?php } ?>

				<div class="image-description-content">
					<div class="title-content sticky">
						<h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
					</div>
					<div class="standard-post-categories span-head sticky">
						<?php the_category(' '); ?>
					</div>
					<div class="standard-post-date span-head sticky">
						<?php the_time( get_option( 'date_format' ) ); ?>
					</div>
					<div class="excerpt-content">
						<?php the_content();
							wp_link_pages( array(
								'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'djompo' ) . '</span>',
								'after'       => '</div>',
								'link_before' => '<span>',
								'link_after'  => '</span>',
								'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'djompo' ) . ' </span>%',
								'separator'   => '<span class="screen-reader-text">, </span>',
							) ); ?>
					</div>
					<?php if (has_tag()) { ?>
					<div class="meta-bottom">
						<div class="tag-wrapper">
							<p><?php echo esc_html__( 'Tags : ', 'djompo'); ?></p>
							<?php the_tags('',',',''); ?>
						</div>
					</div>
					<?php } ?>
				</div>

			</div>
		</div>
	</div>

	

	<!-- Author Info -->
	<?php $djompo_author_desc = get_the_author_meta('description'); 
	if(!empty($djompo_author_desc)) { ?>
	<div class="post-author clearfix">
		<div class="author-wrap clearfix">
			
			<figure class="author-ava">
				<?php echo get_avatar( get_the_author_meta('ID'), '100' ); ?>
			</figure>

			<div class="author-desc">
				<div class="author-name">
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" title="<?php echo get_the_author_meta( 'display_name' ); ?>" rel="author"><?php echo get_the_author_meta( 'display_name' ); ?></a>
				</div>
				<p class="author-description"><?php the_author_meta('description'); ?></p>
			</div>
		</div>
	</div>
	<?php } ?>
	<!-- end of author -->

	<!-- pagination start -->
	<div class="related-posts post-content-wrap">
		<div class="next-prev-post clearfix">
			<div class="row">
			<?php $djompo_next_post = get_next_post();
			$djompo_previous_post = get_previous_post(); ?>

				<h4 class="heading-related"><?php echo esc_html__( 'Related Posts', 'djompo' ); ?></h4>
				<?php 
				if ( get_previous_post() ) :

				$djompo_get_category_prev = get_the_category( $djompo_previous_post->ID ); ?>

				<div class="prev-post column column-3">
					<div class="single-wrapper clearfix">
						<div class="image-caption-content box-shadow-content">

							<div class="image-wrapper-content">
								<?php echo get_the_post_thumbnail( $djompo_previous_post->ID ); ?>
							</div>
							
							<div class="image-description-content">
								<div class="title-content sticky">
									<h1><a href="<?php echo esc_url( get_permalink( $djompo_previous_post->ID ) ); ?>"><?php echo esc_attr( $djompo_previous_post->post_title ); ?></a></h1>
								</div>
								<div class="standard-post-categories span-head sticky">
								<?php foreach ($djompo_get_category_prev as $cat ) { ?>
									<p><?php echo esc_html( $cat->cat_name );?></p>
								<?php } ?>
								</div>
								<div class="standard-post-date span-head sticky">
									<p><?php echo get_the_time( get_option( 'date_format'), $djompo_previous_post->ID ); ?></p>
								</div>
							</div>

						</div>
					</div>
				</div>
				<?php endif; ?>
				<?php 
				if ( get_next_post() ) :

				$djompo_get_category_next = get_the_category( $djompo_next_post->ID ); ?>

				<div class="next-post column column-3">
					<div class="single-wrapper clearfix">
						<div class="image-caption-content box-shadow-content">

							<div class="image-wrapper-content">
								<div class="post-thumb">
									<?php echo get_the_post_thumbnail( $djompo_next_post->ID ); ?>
									<div class="djompo-overlay"></div>
								</div>
							</div>
							
							<div class="image-description-content">
								<div class="title-content sticky">
									<h1><a href="<?php echo esc_url( get_permalink( $djompo_next_post->ID ) ); ?>"><?php echo esc_attr( $djompo_next_post->post_title ); ?></a></h1>
								</div>
								<div class="standard-post-categories span-head sticky">
								<?php foreach ($djompo_get_category_next as $cat ) { ?>
									<p><?php echo esc_html( $cat->cat_name );?></p>
								<?php } ?>
								</div>
								<div class="standard-post-date span-head sticky">
									<p><?php echo get_the_time( get_option( 'date_format'), $djompo_previous_post->ID ); ?></p>
								</div>
							</div>

						</div>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<!-- pagination end -->

</article><!-- #post-<?php the_ID(); ?> -->

<?php 
	if ( is_singular() ) wp_enqueue_script( "comment-reply" ); 
	if ( comments_open() || '0' != get_comments_number() ) comments_template(); 
?>
