<?php if ( ! function_exists( 'djompo_comment' ) ) :

function djompo_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
	default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment-body clearfix">
			<?php echo get_avatar( $comment, 50 ); ?>

			<div class="meta-comment">
                <div class="comment-author vcard">
                	<?php printf( esc_html__( '%s', 'djompo' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>

                	<time datetime="<?php comment_time( 'c' ); ?>">
						<?php printf( _x( '%1$s', '1: date', 'djompo' ), get_comment_date()); ?>
					</time>
                </div><!-- .comment-author .vcard -->
                
				<?php if ( $comment->comment_approved == '0' ) : ?>
                	<div class="waiting-moderation">
					<em><?php esc_html_e( 'Your comment is awaiting moderation.', 'djompo' ); ?></em>
					</div>
				<?php endif; ?>

				<div class="leave-reply-link">
					<span class="button button-red comment-editing"><?php edit_comment_link( esc_html__( 'Edit', 'djompo' ), '<span class="edit-link">', '<span>' ); ?></span>
	            	<span class="button button-red"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></span>
				</div>
            </div><!-- meta comment -->
			<div class="comment-content"><?php comment_text(); ?></div>
		</article><!-- #comment-## -->

	<?php
			break;
	endswitch;
}
endif;

function djompo_comment_form(){

$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );
$aria_req = ( $req ? " aria-required='true'" : '' );

$comments_args = array( 
		'class_submit'  => 'submit button-normal green',
		'author' => '<p>' . '<input id="author" name="author" placeholder="' . esc_attr__( 'Name', 'djompo' ) . '" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="50"' . $aria_req . ' />
					<label for="author">Name</label> ' . ( $req ? '<span>*</span>' : '' ) . '</p>',
 
 		'email'  => '<p><input id="email" name="email" placeholder="' . esc_attr__( 'Email', 'djompo' ) . '" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' />' . ( $req ? '<span>*</span>' : '' ) . '</p>',
					
 		'url'    => '<p><input id="url" name="url" placeholder="' . esc_attr__( 'Website', 'djompo') . '" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" />' . '</p>',
        // change the title of send button 
        'label_submit'=>'' . esc_html__( 'Post Comment', 'djompo' ) . '',
        // change the title of the reply section
        'title_reply'=>'' . esc_html__( 'Leave a Reply', 'djompo' ) . '',
        // remove "Text or HTML to be displayed after the set of comment fields"
        'comment_notes_after' => '',
        // redefine your own textarea (the comment body)
        'comment_field' => '<p class="comment-form-comment">
							<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="' . esc_attr__( 'Comment', 'djompo' ) . '*"></textarea></p>',
);

comment_form($comments_args);

}