<?php

function djompo_header_alt_ext_opt() {

	$djompo_header_alt_opt = array(		

		/* 1.4. Header Alternative Options */
		array(
			'id'        => 'header_scheme',
			'type'      => 'button_set',
			'title'     => esc_html__('Alternative Header Scheme', 'djompo'),
			'options' 	 => array(
				'enable' 	=> esc_html__('Enable','djompo'),
				'disable' => esc_html__('Disable','djompo'),
			),
			'default'  => 'enable'
		),
		array(
			'id'       => 'header_text_color',
			'type'     => 'color',
			'title'    => esc_html__('Header text color', 'djompo'),
			'subtitle' => esc_html__('Set header text color', 'djompo'),
			'default'  => '#ffffff',
			'validate' => 'color',
			'output'   => array('body .alt-head .main-menu ul.sm-clean>li>a, body .alt-head .search-wrap #btn-search i, body .alt-head .main-menu ul.sm-clean>li.current-menu-item>a, .alt-head .site-title a, #header.alt-head .head-info-text span'),
			'required' => array('header_scheme','=','enable'),
		),
		array(
			'id' => 'header_alt_logo',
			'type' => 'media',
			'url' => true,
			'compiler' => 'true',
			'title' => esc_html__('Alternative Logo', 'djompo'), 
			'desc' => esc_html__('Upload your logo image here (any size).', 'djompo'),
			'required' => array('header_scheme','=','enable'),
			'default'  	=> array(
				'url'	=>''
			),
		),
		array(
			'id' => 'header_alt_bg',
			'type' => 'color_rgba',
			'output' => array('header#header.inner-head-wrap.alt-head'),
			'title' => esc_html__('Header Alternative Background', 'djompo'),
			'default'   => array(
				'color'     => '#f7f2ef',
				'alpha'     => 1
			),
			'options'       => array(
				'show_input'                => true,
				'show_initial'              => true,
				'show_alpha'                => true,
				'show_palette'              => true,
				'show_palette_only'         => false,
				'show_selection_palette'    => true,
				'max_palette_size'          => 10,
				'allow_empty'               => true,
				'clickout_fires_change'     => false,
				'choose_text'               => 'Choose',
				'cancel_text'               => 'Cancel',
				'show_buttons'              => true,
				'use_extended_classes'      => true,
				'palette'                   => null,  // show default
				'input_text'                => 'Select Color'
			),            
			'required' => array('header_scheme','=','enable'),
		),
		/* end of header alternative options*/

		array(
			'id'        => 'space_fixed_alt',
			'type'      => 'button_set',
			'title'     => esc_html__('Header Fixed Space', 'djompo'),
			'options' 	 => array(
				'on' 	=> esc_html__('Enable','djompo'),
				'off' => esc_html__('Disable','djompo'),
			),
			'default'  => 'off'
		),

	);

return $djompo_header_alt_opt;
}