<?php

function djompo_header_general_ext_opt() {

	$djompo_header_general_opt = array(

		/* 1.2. Header Type */
		
		/* logo dimensions tab */
		array(
			'id'       => 'header_general_opt_select',
			'type'     => 'button_set',
			'title'    => '',
			'subtitle' => '',
			'options'  => array(
				'header-logo'     => esc_html__( 'Header Logo', 'djompo' ),
				'header-dimension'   => esc_html__( 'Header Dimensions', 'djompo' ),
				'header-background'   => esc_html__( 'Header Background', 'djompo' ),
				'header-widget'		=> esc_html__( 'Header Widget', 'djompo' ),
			),
			'default'  => 'header-logo'
		),
		/* end of header_general_opt_select */

		array(
			'id' 		=> 'logo_upload',
			'type' 		=> 'media',
			'url' 		=> true,
			'compiler' 	=> 'true',
			'title'    	=> esc_html__( 'Header Logo', 'djompo' ),
			'default'  	=> array(
				'url'	=>''
			),
			'required' 	=> array( 'header_general_opt_select', '=', 'header-logo' ),
		),
		array(
			'id'       => 'logo_padding',
			'type'     => 'spacing',
			'mode'     => 'padding',
			'all'      => false,
			'right'    => false,
			'left'     => false, 
			'units'         => array( 'px' ),
			'units_extended'=> 'true',
			'display_units' => 'true',
			'title'    => esc_html__( 'Padding Logo', 'djompo' ),
			'subtitle' => esc_html__( 'A gap space for your logo image and title.', 'djompo' ),
			'default'  => array(
				'padding-top'    => '5px',
				'padding-bottom' => '0',
			),
			'required' 	=> array( 'header_general_opt_select', '=', 'header-logo' ),
		),

		/* header dimensions */
		array(
			'id'       => 'header_container_width',
			'type'     => 'dimensions',
			'units'    => array('px', '%'),
			'title'    => esc_html__('Header Container Width.', 'djompo'),
			'subtitle' => esc_html__('Define width for header container', 'djompo'),
			'height'   => false,
			'default'  => array(
				'width'   => '1170', 
				'Height'  => false,
				'units'   => 'px'
			),
			'required' => array(
				array( 'header_general_opt_select', '=', 'header-dimension' ),
			),
		),

		array(
			'id'       => 'header_padding',
			'type'     => 'spacing',
			'mode'     => 'padding',
			'all'      => false,
			'units'         => array( 'px' ),
			'units_extended'=> 'true',
			'display_units' => 'true',
			'title'    => esc_html__( 'Padding Header', 'djompo' ),
			'subtitle' => esc_html__( 'Allow your users to choose the spacing or margin they want.', 'djompo' ),
			'desc'     => esc_html__( 'You can enable or disable any piece of this field. Top, Right, Bottom, Left, or Units.', 'djompo' ),
			'default'  => array(
				'padding-top'    => '0',
				'padding-right'  => '0',
				'padding-bottom' => '0',
				'padding-left'   => '0'
			),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-dimension' ),
			),
		),

		array(
			'id'       => 'main_header_padding',
			'type'     => 'spacing',
			'mode'     => 'padding',
			'all'      => false,
			'units'         => array( 'px' ),
			'units_extended'=> 'true',
			'display_units' => 'true',
			'title'    => esc_html__( 'Padding Main Header', 'djompo' ),
			'subtitle' => esc_html__( 'Allow your users to choose the spacing or margin they want.', 'djompo' ),
			'desc'     => esc_html__( 'You can enable or disable any piece of this field. Top, Right, Bottom, Left, or Units.', 'djompo' ),
			'default'  => array(
				'padding-top'    => '20px',
				'padding-right'  => '0',
				'padding-bottom' => '20px',
				'padding-left'   => '0'
			),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-dimension' ),
			),
		),

		/* header custom background */
		array(
			'id' => 'header_background',
			'type' => 'color_rgba',
			'title' => esc_html__('Header Custom Background Color', 'djompo'),
			'default'   => array(
				'color'     => '#f7f2ef',
				'alpha'     => 1
			),
			'options'       => array(
				'show_input'                => true,
				'show_initial'              => true,
				'show_alpha'                => true,
				'show_palette'              => true,
				'show_palette_only'         => false,
				'show_selection_palette'    => true,
				'max_palette_size'          => 10,
				'allow_empty'               => true,
				'clickout_fires_change'     => false,
				'choose_text'               => 'Choose',
				'cancel_text'               => 'Cancel',
				'show_buttons'              => true,
				'use_extended_classes'      => true,
				'palette'                   => null,  // show default
				'input_text'                => 'Select Color'
			),            
			'required' => array(
				array( 'header_general_opt_select', '=', 'header-background' ),
			),
		),
		array(
			'id' => 'header_fixed_background',
			'type'     => 'color',
			'title' => esc_html__('Header Fixed When Scroll Background', 'djompo'),
			'subtitle' => esc_html__('Header fixed background with image, color, etc.', 'djompo'),
			'default' => '#ffffff',
			'validate' => 'color',
			'required' => array(
				array( 'header_general_opt_select', '=', 'header-background' ),
				array( 'fixed_header', '=', true ),
				array( 'header_fixed_type', '=', 'header_fixed_scroll' ),
			),
		),
		array(
			'id' => 'header_fixed_color',
			'type'     => 'color',
			'title' => esc_html__('Header Fixed When Scroll Color', 'djompo'),
			'subtitle' => esc_html__('Header fixed text color.', 'djompo'),
			'default' => '#000000',
			'validate' => 'color',
			'required' => array(
				array( 'header_general_opt_select', '=', 'header-background' ),
				array( 'fixed_header', '=', true ),
				array( 'header_fixed_type', '=', 'header_fixed_scroll' ),
			),
		),

		array(
			'id'       => 'header_icon_select_1',
			'type'     => 'button_set',
			'title'    => '',
			'subtitle' => '',
			'options'  => array(
				'info-image'     => esc_html__( 'Info Image', 'djompo' ),
				'info-icon'   => esc_html__( 'Info Icon', 'djompo' ),
			),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default'  => 'info-icon'
		),

		array(
			'id' 		=> 'header_info_icon_img_1',
			'type' 		=> 'media',
			'url' 		=> true,
			'compiler' 	=> 'true',
			'title'    	=> esc_html__( 'Header Info 1 Image', 'djompo' ),
			'default'  	=> array(
				'url'	=>''
			),
			'required' => array( 
				array( 'header_icon_select_1', '=', 'info-image' ),
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
		),

		array(
			'id'		=> 'header_info_icon_1',
			'type'		=> 'select',
			'data'		=> 'elusive-icons',
			'title'		=> esc_html__( 'Header Info 1 Icon', 'djompo' ),
			'enqueue_frontend' => true,
			'default'  => 'el el-phone',
			'required' => array( 
				array( 'header_icon_select_1', '=', 'info-icon' ),
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
		),

		array(
			'id'=>'header_info_1_small',
			'type' => 'text',
			'title' => esc_html__('Header Info 1 Small', 'djompo'),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default' => 'Call Today'
		),

		array(
			'id'=>'header_info_1',
			'type' => 'text',
			'title' => esc_html__('Header Info 1', 'djompo'),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default' => '+62 828 111 96 75'
		),

		array(
			'id'       => 'header_icon_select_2',
			'type'     => 'button_set',
			'title'    => '',
			'subtitle' => '',
			'options'  => array(
				'info-image'     => esc_html__( 'Info Image', 'djompo' ),
				'info-icon'   => esc_html__( 'Info Icon', 'djompo' ),
			),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default'  => 'info-icon'
		),

		array(
			'id' 		=> 'header_info_icon_img_2',
			'type' 		=> 'media',
			'url' 		=> true,
			'compiler' 	=> 'true',
			'title'    	=> esc_html__( 'Header Info 2 Image', 'djompo' ),
			'default'  	=> array(
				'url'	=>''
			),
			'required' => array( 
				array( 'header_icon_select_2', '=', 'info-image' ),
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
		),

		array(
			'id'		=> 'header_info_icon_2',
			'type'		=> 'select',
			'data'		=> 'elusive-icons',
			'title'		=> esc_html__( 'Header Info 2 Icon', 'djompo' ),
			'default'  => 'el el-envelope',
			'required' => array( 
				array( 'header_icon_select_2', '=', 'info-icon' ),
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
		),

		array(
			'id'=>'header_info_2_small',
			'type' => 'text',
			'title' => esc_html__('Header Info 2 Small', 'djompo'),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default' => 'Open Hours'
		),

		array(
			'id'=>'header_info_2',
			'type' => 'text',
			'title' => esc_html__('Header Info 2', 'djompo'),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default' => 'Every Day 8.00 AM - 06.00 PM'
		),

		array(
			'id'       => 'header_icon_select_3',
			'type'     => 'button_set',
			'title'    => '',
			'subtitle' => '',
			'options'  => array(
				'info-image'     => esc_html__( 'Info Image', 'djompo' ),
				'info-icon'   => esc_html__( 'Info Icon', 'djompo' ),
			),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default'  => 'info-icon'
		),

		array(
			'id' 		=> 'header_info_icon_img_3',
			'type' 		=> 'media',
			'url' 		=> true,
			'compiler' 	=> 'true',
			'title'    	=> esc_html__( 'Header Button Image', 'djompo' ),
			'default'  	=> array(
				'url'	=>''
			),
			'required' => array( 
				array( 'header_icon_select_3', '=', 'info-image' ),
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
		),

		array(
			'id'		=> 'header_info_icon_3',
			'type'		=> 'select',
			'data'		=> 'elusive-icons',
			'title'		=> esc_html__( 'Header Button Icon', 'djompo' ),
			'default'  => 'el el-envelope',
			'required' => array( 
				array( 'header_icon_select_3', '=', 'info-icon' ),
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
		),

		array(
			'id'=>'header_button_small',
			'type' => 'text',
			'title' => esc_html__('Header Button Small', 'djompo'),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default' => 'Connect us today'
		),

		array(
			'id'=>'header_button_title',
			'type' => 'text',
			'title' => esc_html__('Header Top Button Title', 'djompo'),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default' => 'Make an Appointment'
		),

		array(
			'id'=>'header_button_link',
			'type' => 'text',
			'title' => esc_html__('Header Top Button Link', 'djompo'),
			'required' => array( 
				array( 'header_general_opt_select', '=', 'header-widget' ),
			),
			'default' => ''
		),

	);

return $djompo_header_general_opt;
}