<?php

function djompo_top_header_opt_ext() {

	$djompo_top_header_opt = array(

		array(
			'id'       => 'header_top_opt',
			'type'     => 'switch',
			'title'    => esc_html__( 'Use Top Header', 'djompo' ),
			'subtitle' => esc_html__( 'Use top header for your site.', 'djompo' ),
			'default'  => false,
		),

		array(
			'id' => 'header_top_background',
			'type' => 'color_rgba',
			'title' => esc_html__('Header Top Custom Background Color', 'djompo'),
			'default'   => array(
				'color'     => '#ffffff',
				'alpha'     => 1
			),
			'options'       => array(
				'show_input'                => true,
				'show_initial'              => true,
				'show_alpha'                => true,
				'show_palette'              => true,
				'show_palette_only'         => false,
				'show_selection_palette'    => true,
				'max_palette_size'          => 10,
				'allow_empty'               => true,
				'clickout_fires_change'     => false,
				'choose_text'               => 'Choose',
				'cancel_text'               => 'Cancel',
				'show_buttons'              => true,
				'use_extended_classes'      => true,
				'palette'                   => null,  // show default
				'input_text'                => 'Select Color'
			),
			'required' => array( 
				array( 'header_top_opt' ,'=', true ),
			),
		),

		array(
			'id'=>'header_title',
			'type' => 'text',
			'title' => esc_html__('Header Top Info', 'djompo'),
			'required' => array( 
				array( 'header_top_opt' ,'=', true ),
			),
			'default' => 'Welcome to Our Auto Work Repair Service'
		),

		array(
			'id'=>'header-top-title-typography',
			'type' => 'typography',
			'title' => esc_html__('Header Top Info Typography', 'djompo'),
			'compiler'=>true, // Use if you want to hook in your own CSS compiler
			'google'=>true, // Disable google fonts. Won't work if you haven't defined your google api key
			'font-backup'=>true, // Select a backup non-google font in addition to a google font
			'font-style'=>true, // Includes font-style and weight. Can use font-style or font-weight to declare
			'subsets'=>false, // Only appears if google is true and subsets not set to false
			'font-size'=>true,
			'line-height'=>true,
			'word-spacing'=>true, // Defaults to false
			'letter-spacing'=>true, // Defaults to false
			'color'=>false,
			'preview'=>true, // Disable the previewer
			'output' => array('#header .head-info-text span'), // An array of CSS selectors to apply this font style to dynamically
			'units'=>'px', 'em', // Defaults to px
			'subtitle'=> esc_html__('This typography only work for Header style 1 (Default header style).', 'djompo'),
			'required' => array(
				array('header_top_opt','=', true)
			),
			'default'=> array(

				'font-weight' => '600',
				'font-family' => 'Montserrat',
				'google' => true,
				'font-backup' => 'Georgia, serif',
				'font-size'   => '14px',
				'line-height' => '25.6px',
				'letter-spacing'=> '0',
				'word-spacing'=> '0',
				'text-align' => 'inherit',
			)
		),

		array(
			'id'=>'header-top-button-typography',
			'type' => 'typography',
			'title' => esc_html__('Header Top Button Typography', 'djompo'),
			'compiler'=>true, // Use if you want to hook in your own CSS compiler
			'google'=>true, // Disable google fonts. Won't work if you haven't defined your google api key
			'font-backup'=>true, // Select a backup non-google font in addition to a google font
			'font-style'=>true, // Includes font-style and weight. Can use font-style or font-weight to declare
			'subsets'=>false, // Only appears if google is true and subsets not set to false
			'font-size'=>true,
			'line-height'=>true,
			'word-spacing'=>true, // Defaults to false
			'letter-spacing'=>true,
			'padding'=>false, // Defaults to false
			'color'=>false,
			'preview'=>true, // Disable the previewer
			'output' => array('.call-btn a'), // An array of CSS selectors to apply this font style to dynamically
			'units'=>'px', 'em', // Defaults to px
			'subtitle'=> esc_html__('This typography only work for Header style 1 (Default header style).', 'djompo'),
			'required' => array(
				array('header_top_opt','=', true)
			),
			'default'=> array(

				'font-weight' => '700',
				'font-family' => 'Montserrat',
				'google' => true,
				'font-backup' => 'Georgia, serif',
				'padding' => '15px 50px',
				'font-size'   => '14px',
				'line-height' => '20px',
				'letter-spacing'=> '0',
				'word-spacing'=> '0',
				'text-align' => 'inherit',
			)
		),

		array(
			'id'       => 'top_header_container_width',
			'type'     => 'dimensions',
			'units'    => array('px', '%'),
			'title'    => esc_html__('Top Header Container Width.', 'djompo'),
			'subtitle' => esc_html__('Define width for header container', 'djompo'),
			'height'   => false,
			'default'  => array(
				'width'   => '1170px', 
				'Height'  => false
			),
			'required' => array(
				array('header_top_opt','=', true)
			),
		),
	);

return $djompo_top_header_opt;
}