<?php


	if ( ! class_exists( 'Redux' ) ) {
		return;
	}


if (!class_exists("DJOMPO_Framework_Config")) {

	// Call the header options
	require_once ( get_template_directory().'/inc/opt-ext/header-section-opt/header-general-opt.php');
	require_once ( get_template_directory().'/inc/opt-ext/header-section-opt/header-top-opt.php');
	require_once ( get_template_directory().'/inc/opt-ext/header-section-opt/header-typo-opt.php');

	require_once ( get_template_directory().'/inc/opt-ext/content-typo-opt.php');

	require_once ( get_template_directory().'/inc/opt-ext/footer-section-opt/footer-general-opt.php');
	require_once ( get_template_directory().'/inc/opt-ext/footer-section-opt/footer-style-opt.php');
	require_once ( get_template_directory().'/inc/opt-ext/footer-section-opt/footer-widget-opt.php');

	class DJOMPO_Framework_Config {

		public $args = array();
		public $sections = array();
		public $theme;
		public $ReduxFramework;

		public function __construct() {
			// This is needed. Bah WordPress bugs.  ;)
			if ( get_template_directory() && strpos( Redux_Helpers::cleanFilePath( __FILE__ ), Redux_Helpers::cleanFilePath( get_template_directory() ) ) !== false) {
				$this->initSettings();
			} else {
				add_action('plugins_loaded', array($this, 'initSettings'), 10);    
			}
		}

		public function initSettings() {

			if ( !class_exists("ReduxFramework" ) ) {
				return;
			}       
			
			$this->theme = wp_get_theme();
			$this->setArguments();
			$this->setHelpTabs();
			$this->setSections();

			if (!isset($this->args['opt_name'])) { 
				return;
			}

			$this->ReduxFramework = new ReduxFramework($this->sections, $this->args);
		}

		public function setSections() {



			ob_start();

			$ct = wp_get_theme();
			$this->theme = $ct;
			$item_name = $this->theme->get('Name');
			$tags = $this->theme->Tags;
			$screenshot = $this->theme->get_screenshot();
			$class = $screenshot ? 'has-screenshot' : '';

			$customize_title = sprintf(__('Customize &#8220;%s&#8221;', 'djompo'), $this->theme->display('Name'));
			?>
			

			<?php
			$item_info = ob_get_contents();

			ob_end_clean();


			// DECLARATION OF SECTIONS

			/*---------------------------------------
				1. Header Options
				2. Content Options
				3. Footer Options
				4. Blog Options
				5. Single Post Options
				6. Single Portfolio Options
				7. 404 Options
				8. Page Loader Options
			----------------------------------------*/

			/*-----------------------------------------------------------------------------------
			1. Header Options
				1.1. Header Container
				1.2. Header Type
					1.2.1. Header 1 Options
						1.2.1.1 Header 1 Top Options
					1.2.1. Header 2 & 3 Options
					1.2.3. Header 4, 5, 6 Options
				1.3. Boxed Header Options
				1.4. Header Alternative Options
				1.5. Search
			-----------------------------------------------------------------------------------*/
			
			$this->sections[] = array(
				'icon' => ' el-icon-credit-card',
				'icon_class' => 'icon-large',
				'title' => esc_html__('Header Builder', 'djompo'),
			);

			$this->sections[] = array(
				'icon' => ' el-icon-credit-card',
				'id'   => 'genereal-header',
				'icon_class' => 'icon-large',
				'class' => 'header-general-sub',
				'subsection' => true,
				'title' => esc_html__('General Header', 'djompo'),
				'fields' => djompo_header_general_ext_opt(),
			);

			$this->sections[] = array(
				'icon' => ' el-icon-credit-card',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'class' => 'header-top-sub',
				'title' => esc_html__('Header Top', 'djompo'),
				'fields' =>  djompo_top_header_opt_ext(),
			);

			/* Header Mobile*/
			$this->sections[] = array(
				'icon' => 'el-icon-credit-card',
				'icon_class' => 'icon-large',
				'id' => 'header-mobile-sub-id',
				'class' => 'header-mobile-sub-class',
				'subsection' => true,
				'title' => esc_html__('Mobile Header', 'djompo'),
				'fields' => array(

					array(
						'id' => 'header_mob_bg_def',
						'type' => 'color_rgba',
						'title' => esc_html__('Header Mobile Background', 'djompo'),
						'default'   => array(
							'color'     => '#f7f2ef',
							'alpha'     => 1
						),
						'options'       => array(
							'show_input'                => true,
							'show_initial'              => true,
							'show_alpha'                => true,
							'show_palette'              => true,
							'show_palette_only'         => false,
							'show_selection_palette'    => true,
							'max_palette_size'          => 10,
							'allow_empty'               => true,
							'clickout_fires_change'     => false,
							'choose_text'               => 'Choose',
							'cancel_text'               => 'Cancel',
							'show_buttons'              => true,
							'use_extended_classes'      => true,
							'palette'                   => null,  // show default
							'input_text'                => 'Select Color'
						),            
						'required' => array('header_scheme','=','enable'),
					),

					array(
						'id'       => 'header_mob_bg_alt',
						'type'     => 'color',
						'title'    => esc_html__('Header Mobile Alternative Background', 'djompo'),
						'default'  => '#000000',
						'validate' => 'color',
						'required' => array('header_scheme','=','enable'),
					),

					array(
						'id'       => 'mobile_padding_head',
						'type'     => 'spacing',
						'mode'     => 'padding',
						'all'      => false,
						'bottom'         => false,
						'top'         => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Header Mobile Padding', 'djompo' ),
						'default'  => array(
							'padding-top'    => 'auto',
							'padding-bottom' => 'auto',
							'padding-left'   => '45px',
							'padding-right'  => '45px'
						),
					),

					array(
						'id'       => 'mobile_margin_logo',
						'type'     => 'spacing',
						'mode'     => 'margin',
						'all'      => false,
						'top'         => true,
						'bottom'         => true,
						'left'	=> false,
						'right'	=> false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Logo Mobile Margin', 'djompo' ),
						'default'  => array(
							'margin-top'    => '0',
							'margin-bottom' => '0',
							'margin-left'   => 'auto',
							'margin-right'  => 'auto'
						),
					),

					array(
						'id'       => 'mobile_margin_menu',
						'type'     => 'spacing',
						'mode'     => 'margin',
						'all'      => false,
						'top'         => true,
						'bottom'         => true,
						'left'	=> false,
						'right'	=> false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Margin Mobile Menu', 'djompo' ),
						'default'  => array(
							'margin-top'    => '35px',
							'margin-bottom' => '0',
							'margin-left'   => 'auto',
							'margin-right'  => 'auto'
						),
					),

				)
			);

			$this->sections[] = array(
				'icon' => ' el-icon-fontsize',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'id' => 'header-typo-sub-id',
				'class' => 'header-typo-sub-class',
				'title' => esc_html__('Header Typography', 'djompo'),
				'fields' => djompo_header_typography_ext_opt(),
			);
			
			/*-----------------------------------------------------------------------------------
			2. Content Options
				2.1. Content Container
				2.2. Content Wrapper Type
				2.3. Boxed Content
					2.3.1. Boxed Content Options
			-----------------------------------------------------------------------------------*/
			$this->sections[] = array(
				'icon' => 'el-icon-fullscreen',
				'icon_class' => 'icon-large',
				'title' => esc_html__('Content Options', 'djompo'),
				'fields' => array(

					/* 2.1. Content Container*/
					array(
						'id'       => 'content_container_width',
						'type'     => 'dimensions',
						'units'    => array('px', '%'),
						'title'    => esc_html__('Content Container Width', 'djompo'),
						'subtitle' => esc_html__('Define width for content container', 'djompo'),
						'output'   => array('.main-wrapper #content .container'),
						'height'   => false,
						'default'  => array(
							'Width'   => '1170', 
							'Height'  => false
						),
					),
					array(
						'id' => 'content_background',
						'type' => 'background',
						'output' => array('#content'),
						'title' => esc_html__('Content Custom Background', 'djompo'),
						'subtitle' => esc_html__('Content background with image, color, etc.', 'djompo'),
						'default' => 'transparent',
					),
					/* end of content container */

					/* 2.2. Content Wrapper Type */
					array(
						'id'       => 'wrap_opt',
						'type'     => 'image_select',
						'title'    => esc_html__( 'Wrapper Option', 'djompo' ),
						'subtitle' => esc_html__( 'Select Your Wrapper Type', 'djompo' ),
						'options' => array(
							'default' => array('alt' => 'default', 'img' => get_template_directory_uri() .'/img/wrap-1.jpg'),
							'bordered' => array('alt' => 'bordered', 'img' => get_template_directory_uri() .'/img/wrap-2.jpg'),
						),
						'default'  => 'default'
					),

					array(
						'id'       => 'bordered_title',
						'type'     => 'color',
						'output'   => array( '.bordered' ),
						'title'    => esc_html__( 'Border Frame Color', 'djompo' ),
						'subtitle' => esc_html__( 'Pick a border color for the frame (default: #111111).', 'djompo' ),
						'default'  => '#111111',
						'validate' => 'color',
						'required' => array( 'wrap_opt', '=', 'bordered' ),
					),
					array(
						'id'       => 'bordered_width',
						'type'     => 'dimensions',
						'units'    => array('px'),
						'title'    => esc_html__('Border Frame Vertical', 'djompo'),
						'subtitle' => esc_html__('Define width for vertical border frame', 'djompo'),
						'output'   => array('.bordered.left-border, .bordered.right-border'),
						'height'   => false,
						'default'  => array(
							'Width'   => '25', 
							'Height'  => false
						),
						'required' => array( 'wrap_opt', '=', 'bordered' ),
					),
					array(
						'id'       => 'bordered_height',
						'type'     => 'spacing',
						'output'   => array( '.bordered.bottom-border, .bordered.top-border' ),
						'mode'     => 'padding',
						'all'      => true,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Border Frame Horizontal', 'djompo' ),
						'subtitle' => esc_html__( 'Define width for horizontal border frame', 'djompo' ),
						'default'  => array(
							'padding-top'    => '12px',
							'padding-right'  => '12px',
							'padding-bottom' => '12px',
							'padding-left'   => '12px'
						),
						'required' => array( 'wrap_opt', '=', 'bordered' ),
					),
					/* end of content wrapper type */

					/* 2.3. Boxed Content */
					array(
						'id'       => 'content_boxed',
						'type'     => 'switch',
						'title'    => esc_html__( 'Use Boxed Content', 'djompo' ),
						'subtitle' => esc_html__( 'Make your content boxed', 'djompo' ),
						'default'  => false,
					),
					array(
						'id'       => 'content_boxed_width',
						'type'     => 'dimensions',
						'units'    => array('px', '%'),
						'title'    => esc_html__('Content Boxed Width.', 'djompo'),
						'subtitle' => esc_html__('Define width for content box.', 'djompo'),
						'output'   => array('#content'),
						'height'   => false,
						'default'  => array(
							'Width'   => '1170', 
							'Height'  => false
						),
						'required' => array(
							array('content_boxed','=', true),
						),
					),

					/* 2.3.1. Boxed Content Options */
					array(
						'id'       => 'content_padding',
						'type'     => 'spacing',
						'output'   => array( '#content' ),
						'mode'     => 'padding',
						'all'      => false,
						'right'         => false,
						'left'          => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Padding Boxed Content', 'djompo' ),
						'subtitle' => esc_html__( 'Allow your users to choose the spacing or margin they want.', 'djompo' ),
						'desc'     => esc_html__( 'You can enable or disable any piece of this field. Top, Right, Bottom, Left, or Units.', 'djompo' ),
						'default'  => array(
							'padding-top'    => '0',
							'padding-right'  => '0',
							'padding-bottom' => '0',
							'padding-left'   => '0'
						),
						'required' => array(
							array('content_boxed','=', true),
						),
					),
					array(
						'id'       => 'content_margin',
						'type'     => 'spacing',
						'output'   => array( '#content' ),
						'mode'     => 'margin',
						'all'      => false,
						'right'         => false,
						'left'          => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Margin Boxed Content', 'djompo' ),
						'subtitle' => esc_html__( 'Allow your users to choose the spacing or margin they want.', 'djompo' ),
						'desc'     => esc_html__( 'You can enable or disable any piece of this field. Top, Right, Bottom, Left, or Units.', 'djompo' ),
						'default'  => array(
							'margin-top'    => '0',
							'margin-right'  => 'auto',
							'margin-bottom' => '0',
							'margin-left'   => 'auto'
						),
						'required' => array(
							array('content_boxed','=', true),
						),
					),
					/* end of content boxed */
				)
			);
			
			/* body content typograpgy */
			$this->sections[] = array(
				'icon' => ' el-icon-fontsize',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'id' => 'content-typography-sub-id',
				'class' => 'content-typography-sub-class',
				'title' => esc_html__('Content Typography', 'djompo'),
				'fields' => djompo_content_typography_ext_opt(),
			);

			/*-----------------------------------------------------------------------------------
				4. Blog Options
					4.1. Blog Pagination Type
					4.2. Blog Padding
			-----------------------------------------------------------------------------------*/
			$this->sections[] = array(
				'icon' => 'el-icon-th-list',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'title' => esc_html__('Blog Options', 'djompo'),
				'fields' => array(

					array(
						'id'       => 'loop_blog_style',
						'type'     => 'select',
						'title'    => esc_html__( 'Blog Loop Layout Type', 'djompo' ),
						'subtitle' => esc_html__( 'Select Your Blog Loop Layout Type', 'djompo' ),
						'options'  => array(
							'fullwidth' => esc_html__( 'Full Width', 'djompo' ),
							'sidebar' => esc_html__( 'Sidebar', 'djompo' ),
						),
						'default'  => 'sidebar'
					),
					
					/* 4.1. Blog Pagination Type */
					array(
						'id'       => 'loop_nav_type',
						'type'     => 'select',
						'title'    => esc_html__('Blog Pagination Type', 'djompo'),
						'options'  => array(
							'nav_default'   => esc_html__('Default Pagination', 'djompo'),
							'nav_pagina'   => esc_html__('Number Pagination', 'djompo'),
						),
						'default'  => 'nav_default'
					),
					/* end of blog pagination type*/

					/* 4.2. Blog Padding */
					array(
						'id'       => 'blog_item_gap',
						'type'     => 'spacing',
						'output'   => array( '.main-blog-loop .blog-item' ),
						'mode'     => 'margin',
						'all'      => false,
						'right'         => false,
						'left'          => false,
						'top'          => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Post Item Margin Bottom', 'djompo' ),
						'subtitle' => esc_html__( 'Add a margin gap to each posts.', 'djompo' ),
						'default'  => array(
							'margin-top'    => '0px',
							'margin-right'  => 'auto',
							'margin-bottom' => '30px',
							'margin-left'   => 'auto'
						),
					),
					array(
						'id'       => 'blog_padding',
						'type'     => 'spacing',
						'output'   => array( '.blog-content-wrap .blog' ),
						'mode'     => 'padding',
						'all'      => false,
						'right'         => false,
						'left'          => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Padding Blog', 'djompo' ),
						'subtitle' => esc_html__( 'Padding top and bottom for Blog Page.', 'djompo' ),
						'default'  => array(
							'padding-top'    => '60px',
							'padding-right'  => '0',
							'padding-bottom' => '60px',
							'padding-left'   => '0'
						),
					),
					/* end of blog padding */
				)
			);

			/*-----------------------------------------------------------------------------------
				4. Blog Options
					4.1. Blog Pagination Type
					4.2. Blog Padding
			-----------------------------------------------------------------------------------*/
			$this->sections[] = array(
				'icon' => 'el-icon-th-list',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'title' => esc_html__('Archive Options', 'djompo'),
				'fields' => array(

					array(
						'id'       => 'archive_hide_title',
						'type'     => 'button_set',
						'title'    => esc_html__('Archive Page Hide Title', 'djompo'),
						'subtitle' => '',
						'options'  => array(
							'hide_title'     => esc_html__('Hide Title', 'djompo'),
							'show_title'     => esc_html__('Show Title', 'djompo'),
						),
						'default'  => 'show_title',
					),
					/* end of blog pagination type*/

					/* 4.2. Blog Padding */
					array(
						'id'       => 'archive_padding',
						'type'     => 'spacing',
						'output'   => array( '.archive #content, .search-results #content' ),
						'mode'     => 'padding',
						'all'      => false,
						'right'         => false,
						'left'          => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Padding Archive', 'djompo' ),
						'subtitle' => esc_html__( 'Padding top and bottom for Archive Page.', 'djompo' ),
						'default'  => array(
							'padding-top'    => '60px',
							'padding-right'  => '0',
							'padding-bottom' => '60px',
							'padding-left'   => '0'
						),
					),
					/* end of blog padding */
				)
			);

			/*-----------------------------------------------------------------------------------*/
			/*  5. Single Post Options
					5.1. Single Post Layout
					5.2. Single Post Padding
			/*-----------------------------------------------------------------------------------*/
			$this->sections[] = array(
				'icon' => 'el-icon-th-list',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'title' => esc_html__('Single Post Options', 'djompo'),
				'fields' => array(

					/* 5.1. Single Post Layout */
					array(
						'id'       => 'blog_type',
						'type'     => 'select',
						'title'    => esc_html__( 'Single Post Layout Type', 'djompo' ),
						'subtitle' => esc_html__( 'Select Your Single Post Layout Type', 'djompo' ),
						'options'  => array(
							'fullwidth' => esc_html__( 'Full Width', 'djompo' ),
							'sidebar' => esc_html__( 'Sidebar', 'djompo' ),
						),
						'default'  => 'sidebar'
					),
					/* end of single post layout */

					/* 5.2. Single Post Padding */
					array(
						'id'       => 'single_blog_padding',
						'type'     => 'spacing',
						'output'   => array( '.single-post-wrap .blog' ),
						'mode'     => 'padding',
						'all'      => false,
						'top'           => true,
						'bottom'        => true,
						'right'         => false,
						'left'          => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Padding Single Post', 'djompo' ),
						'subtitle' => esc_html__( 'Padding top and bottom for Single Post.', 'djompo' ),
						'default'  => array(
							'padding-top'    => '60px',
							'padding-right'  => '0',
							'padding-bottom' => '60px',
							'padding-left'   => '0'
						),
					),
					/* end of single post padding */
				),
			);

			/*-----------------------------------------------------------------------------------*/
			/*  6. Single Service Options
			/*-----------------------------------------------------------------------------------*/
			$this->sections[] = array(
				'icon' => 'el-icon-th-list',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'title' => esc_html__('Single Service Options', 'djompo'),
				'fields' => array(

					/* 6.2. Single Service Padding */
					array(
						'id'       => 'single_event_padding',
						'type'     => 'spacing',
						'output'   => array( '.single-service' ),
						'mode'     => 'padding',
						'all'      => false,
						'right'         => false,
						'left'          => false,
						'units'         => array( 'px' ),
						'units_extended'=> 'true',
						'display_units' => 'true',
						'title'    => esc_html__( 'Padding Single Service', 'djompo' ),
						'subtitle' => esc_html__( 'Padding top and bottom for Single Service.', 'djompo' ),
						'default'  => array(
							'padding-top'    => '60px',
							'padding-right'  => '0',
							'padding-bottom' => '60px',
							'padding-left'   => '0'
						),
					),
					/* end of single post padding */
				)
			);

			/*-----------------------------------------------------------------------------------
				7. 404 Options
			-----------------------------------------------------------------------------------*/
			$this->sections[] = array(
				'icon' => 'el-icon-th-list',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'title' => esc_html__('404 Options', 'djompo'),
				'fields' => array(

					/* 404 Background Image */
					array(
						'id' => '404_img_bg',
						'type' => 'background',
						'output' => array('body.error404'),
						'title' => esc_html__('404 Body Background', 'djompo'),
						'subtitle' => esc_html__('404 background with image, color, etc.', 'djompo'),
						'default' => '',
					),
					/* end of 404 background image */
				)
			);

			/*-----------------------------------------------------------------------------------
				8. Page Loader Options
			-----------------------------------------------------------------------------------*/
			$this->sections[] = array(
				'icon' => 'el-icon-refresh',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'title' => esc_html__('Page Loader Options', 'djompo'),
				'fields' => array(

					/* 404 Background Image */
					array(
						'id' => 'page_loader_bg',
						'type' => 'background',
						'output' => array('#preloader'),
						'title' => esc_html__('Loader Background', 'djompo'),
						'subtitle' => esc_html__('404 background with image, color, etc.', 'djompo'),
						'default' => '',
					),

					array(
						'id' 		=> 'page_loader_img',
						'type' 		=> 'media',
						'url' 		=> true,
						'compiler' 	=> 'true',
						'title'    	=> esc_html__( 'Loader Image', 'djompo' ),
						'subtitle' 	=> esc_html__( 'Format GIF is better.', 'djompo' ),
						'default'  	=> array(
							'url'	=>''
						),
					),

					array(
						'id'       => 'loader_size',
						'type'     => 'dimensions',
						'units'    => array('px'),
						'title'    => esc_html__('Loader Size.', 'djompo'),
						'subtitle' => esc_html__('Define size for loader image (px)', 'djompo'),
						'default'  => array(
							'Width'   => '40', 
							'Height'  => '40'
						),
					),
					/* end of 404 background image */
				)
			);

			/*-----------------------------------------------------------------------------------
				3. Footer Options
					3.1. Footer Style Type
					3.2. Footer Type
					3.3. Footer Container
					3.4. Footer Padding
					3.5. Boxed Footer
					3.6. Footer 2 Options
					3.7. Footer Options
			-----------------------------------------------------------------------------------*/

			$this->sections[] = array(
				'icon' => ' el-icon-photo',
				'icon_class' => 'icon-large',
				'title' => esc_html__('Footer Builder', 'djompo'),
			);

			$this->sections[] = array(
				'icon' => 'el-icon-photo',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'id' => 'footer-general-sub-id',
				'class' => 'footer-general-sub-class',
				'title' => esc_html__('General Footer', 'djompo'),
				'fields' => djompo_footer_general_ext_opt(),
			);

			$this->sections[] = array(
				'icon' => ' el-icon-photo',
				'icon_class' => 'icon-large',
				'subsection' => true,
				'id' => 'footer-widget-sub-id',
				'class' => 'footer-widget-sub-class',
				'title' => esc_html__('Footer Widget', 'djompo'),
				'fields' => djompo_footer_widget_ext_opt(),
			);

			$this->sections[] = array(
				'icon' => ' el-icon-credit-card',
				'icon_class' => 'icon-large',
				'title' => esc_html__('Other Options', 'djompo'),
			);

			$this->sections[] = array(
				'icon' => 'el-icon-twitter',
				'title' => esc_html__('Social Profile', 'djompo'),
				'subsection' => true,
				'fields' => array(

					array(
						'id'=>'facebook_profile',
						'type' => 'text',
						'title' => esc_html__('Facebook Profile', 'djompo'),
						'validate' => 'url',
						'default' => 'http://facebook.com/#'
						),

					array(
						'id'=>'twitter_profile',
						'type' => 'text',
						'title' => esc_html__('twitter Profile', 'djompo'),
						'validate' => 'url',
						'default' => 'http://twitter.com/#'
						),


					array(
						'id'=>'google_profile',
						'type' => 'text',
						'title' => esc_html__('Google+ Profile', 'djompo'),
						'validate' => 'url',
						'default' => 'http://google.com/#'
						),


					array(
						'id'=>'linkedin_profile',
						'type' => 'text',
						'title' => esc_html__('linkedin Profile', 'djompo'),
						'validate' => 'url',
						'default' => 'http://linkedin.com/#'
						),


					array(
						'id'=>'pinterest_profile',
						'type' => 'text',
						'title' => esc_html__('Pinterest Profile', 'djompo'),
						'validate' => 'url',
						'default' => 'http://pinterest.com/#'
						),

					array(
						'id'=>'dribble_profile',
						'type' => 'text',
						'title' => esc_html__('Dribble Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'flickr_profile',
						'type' => 'text',
						'title' => esc_html__('Flickr Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'behance_profile',
						'type' => 'text',
						'title' => esc_html__('Behance Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'youtube_profile',
						'type' => 'text',
						'title' => esc_html__('Youtube Profile', 'djompo'),
						'validate' => 'url',
						'default' => 'https://www.youtube.com/'
						),

					array(
						'id'=>'soundcloud_profile',
						'type' => 'text',
						'title' => esc_html__('Soundcloud Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'codepen_profile',
						'type' => 'text',
						'title' => esc_html__('Codepen Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'deviantart_profile',
						'type' => 'text',
						'title' => esc_html__('Deviantart Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'digg_profile',
						'type' => 'text',
						'title' => esc_html__('Digg Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'dropbox_profile',
						'type' => 'text',
						'title' => esc_html__('Dropbox Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'github_profile',
						'type' => 'text',
						'title' => esc_html__('Github Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'instagram_profile',
						'type' => 'text',
						'title' => esc_html__('Instagram Profile', 'djompo'),
						'validate' => 'url',
						'default' => 'https://instagram.com/'
						),

					array(
						'id'=>'skype_profile',
						'type' => 'text',
						'title' => esc_html__('Skype Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'spotify_profile',
						'type' => 'text',
						'title' => esc_html__('Spotify Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'steam_profile',
						'type' => 'text',
						'title' => esc_html__('Steam Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'trello_profile',
						'type' => 'text',
						'title' => esc_html__('Trello Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'tumblr_profile',
						'type' => 'text',
						'title' => esc_html__('Tumblr Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'vimeo_profile',
						'type' => 'text',
						'title' => esc_html__('Vimeo Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'wechat_profile',
						'type' => 'text',
						'title' => esc_html__('Wechat Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'weibo_profile',
						'type' => 'text',
						'title' => esc_html__('Weibo Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'wordpress_profile',
						'type' => 'text',
						'title' => esc_html__('WordPress Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'xing_profile',
						'type' => 'text',
						'title' => esc_html__('Xing Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'yahoo_profile',
						'type' => 'text',
						'title' => esc_html__('Yahoo Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),

					array(
						'id'=>'yelp_profile',
						'type' => 'text',
						'title' => esc_html__('Yelp Profile', 'djompo'),
						'validate' => 'url',
						'default' => ''
						),
					/* end of single post padding */
				),
			);
		}

		public function setHelpTabs() {

			// Custom page help tabs, displayed using the help API. Tabs are shown in order of definition.
			$this->args['help_tabs'][] = array(
				'id' => 'redux-opts-1',
				'title' => esc_html__('Theme Information 1', 'djompo'),
				'content' => esc_html__('<p>Please go to themesawesome.com to get support</p>', 'djompo')
			);
		}


		public function setArguments() {

			$theme = wp_get_theme(); // For use with some settings. Not necessary.

			$this->args = array(
				// TYPICAL -> Change these values as you need/desire
				'opt_name' => 'djompo_framework', // This is where your data is stored in the database and also becomes your global variable name.
				'display_name' => $theme->get('Name'), // Name that appears at the top of your panel
				'display_version' => $theme->get('Version'), // Version that appears at the top of your panel
				'menu_type' => 'menu', //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
				'allow_sub_menu' => true, // Show the sections below the admin menu item or not
				'menu_title' => esc_html__('Options', 'djompo'),
				'page' => esc_html__('Options', 'djompo'),
				// You will need to generate a Google API key to use this feature.
				// Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
				'google_api_key' => 'AIzaSyAX_2L_UzCDPEnAHTG7zhESRVpMPS4ssII', // Must be defined to add google fonts to the typography module
				//'admin_bar' => false, // Show the panel pages on the admin bar
				'global_variable' => '', // Set a different name for your global variable other than the opt_name
				'dev_mode' => false, // Show the time the page took to load, etc
				'customizer' => false, // Enable basic customizer support
				// OPTIONAL -> Give you extra features
				'page_priority' => null, // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
				'page_parent' => 'themes.php', // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
				'page_permissions' => 'manage_options', // Permissions needed to access the options panel.
				'menu_icon' => '', // Specify a custom URL to an icon
				'last_tab' => '', // Force your panel to always open to a specific tab (by id)
				'page_icon' => 'icon-themes', // Icon displayed in the admin panel next to your menu_title
				'page_slug' => '_options', // Page slug used to denote the panel
				'save_defaults' => true, // On load save the defaults to DB before user clicks save or not
				'default_show' => true, // If true, shows the default value next to each field that is not the default value.
				'default_mark' => '', // What to print by the field's title if the value shown is default. Suggested: *
				// CAREFUL -> These options are for advanced use only
				'transient_time' => 60 * MINUTE_IN_SECONDS,
				'output' => true, // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
				'output_tag' => true, // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
				//'domain'              => 'redux-framework', // Translation domain key. Don't change this unless you want to retranslate all of Redux.
				//'footer_credit'       => '', // Disable the footer credit of Redux. Please leave if you can help it.
				// FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
				'database' => '', // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
				'show_import_export' => true, // REMOVE
				'system_info' => false, // REMOVE
				'help_tabs' => array(),
				'help_sidebar' => '', // esc_html__( '', $this->args['domain'] );            
			);


		}

	}

	new DJOMPO_Framework_Config();
}

function djompo_footer_copyright() {


	$options = get_option('djompo_framework');
	$copyright_footer = $options['footer-text'];
	if(!empty($copyright_footer)) {
		echo wp_specialchars_decode( $copyright_footer );
	}
}

function djompo_removeDemoModeLink() { // Be sure to rename this function to something more unique
	if ( class_exists('ReduxFrameworkPlugin') ) {
		remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
	}
	if ( class_exists('ReduxFrameworkPlugin') ) {
		remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
	}
}
add_action('init', 'djompo_removeDemoModeLink');