<?php

class djompo_socialbox_Widget extends WP_Widget
{
	function __construct()
	{
		$widget_ops = array('classname' => 'widget_djompo_socialbox', 'description' => '');

		$control_ops = array('id_base' => 'djompo_service_socialbox-widget');

		parent::__construct('djompo_service_socialbox-widget', 'Djompo Social Box', $widget_ops, $control_ops);
	}

	public function djompo_socialbox_Widget()
    {
        self::__construct();
    }

    function widget($args, $instance)
	{
		extract($args, EXTR_SKIP);
		$title = apply_filters('title', $instance['title']);

		echo wp_specialchars_decode( $before_widget ); ?>
		<div class="clearfix">
		<?php if($title) {
			echo wp_specialchars_decode(  $before_title ) . esc_html( $title ) . wp_specialchars_decode(  $after_title );
		} ?>

			<ul class="clearfix">
				<?php echo !empty($instance['facebook']) 	? '<li><a target="_blank" class="tips facebook" href="'. esc_url($instance['facebook']) .'"><i class="fa fa-facebook"></i></a></li>' : '' ?>
				<?php echo !empty($instance['twitter']) 	? '<li><a target="_blank" class="tips twitter" href="'. esc_url($instance['twitter']) .'"><i class="fa fa-twitter"></i></a></li>' : '' ?>
				<?php echo !empty($instance['googleplus']) 	? '<li><a target="_blank" class="tips googleplus" href="'. esc_url($instance['googleplus']) .'"><i class="fa fa-google-plus"></i></a></li>' : '' ?>
				<?php echo !empty($instance['linkedin']) 	? '<li><a target="_blank" class="tips linkedin" href="'. esc_url($instance['linkedin']) .'"><i class="fa fa-linkedin"></i></a></li>' : '' ?>
				<?php echo !empty($instance['pinterest']) 	? '<li><a target="_blank" class="tips pinterest" href="'. esc_url($instance['pinterest']) .'"><i class="fa fa-pinterest"></i></a></li>' : '' ?>
				<?php echo !empty($instance['dribbble']) 	? '<li><a target="_blank" class="tips dribbble" href="'. esc_url($instance['dribbble']) .'"><i class="fa fa-dribbble"></i></a></li>' : '' ?>
				<?php echo !empty($instance['youtube']) 	? '<li><a target="_blank" class="tips youtube" href="'. esc_url($instance['youtube']) .'"><i class="fa fa-youtube"></i></a></li>' : '' ?>
				<?php echo !empty($instance['instagram']) 	? '<li><a target="_blank" class="tips instagram" href="'. esc_url($instance['instagram']) .'"><i class="fa fa-instagram"></i></a></li>' : '' ?>
			</ul>
		
		<?php echo wp_specialchars_decode( $after_widget ); ?>
		</div>
	<?php }

	function update($new_instance, $old_instance){

		$instance = $old_instance;

		$instance['title'] 			= strip_tags($new_instance['title']);
		$instance['facebook'] 		= esc_url($new_instance['facebook']);
		$instance['twitter'] 		= esc_url($new_instance['twitter']);
		$instance['googleplus'] 	= esc_url($new_instance['googleplus']);
		$instance['linkedin'] 		= esc_url($new_instance['linkedin']);
		$instance['youtube'] 		= esc_url($new_instance['youtube']);
		$instance['pinterest'] 		= esc_url($new_instance['pinterest']);
		$instance['dribbble'] 		= esc_url($new_instance['dribbble']);
		$instance['youtube'] 		= esc_url($new_instance['youtube']);
		$instance['instagram'] 		= esc_url($new_instance['instagram']);
		return $instance;
	}
 
	function form($instance) {

		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );

		$title 			= !empty($instance['title']) ? $instance['title'] : '';
		$facebook 		= !empty($instance['facebook']) ? $instance['facebook'] : '';
		$twitter 		= !empty($instance['twitter']) ? $instance['twitter'] : '';
		$googleplus 	= !empty($instance['googleplus']) ? $instance['googleplus'] : '';
		$linkedin 		= !empty($instance['linkedin']) ? $instance['linkedin'] : '';
		$youtube 		= !empty($instance['youtube']) ? $instance['youtube'] : '';
		$pinterest 		= !empty($instance['pinterest']) ? $instance['pinterest'] : '';
		$dribbble 		= !empty($instance['dribbble']) ? $instance['dribbble'] : '';
		$instagram 		= !empty($instance['instagram']) ? $instance['instagram'] : '';
		?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('title') ); ?>"><?php esc_html_e( 'Title', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('title') ); ?>" name="<?php echo esc_attr( $this->get_field_name('title') ); ?>" value="<?php echo esc_attr( $instance['title'] ); ?>" />
		</p>
		<hr style="border:none;height:1px;background:#BFBFBF">
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('facebook') ); ?>"><?php esc_html_e( 'Facebook', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('facebook') ); ?>" name="<?php echo esc_attr( $this->get_field_name('facebook') ); ?>" value="<?php echo esc_attr( $facebook ); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('twitter') ); ?>"><?php esc_html_e( 'Twitter', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('twitter') ); ?>" name="<?php echo esc_attr( $this->get_field_name('twitter') ); ?>" value="<?php echo esc_attr( $twitter ); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('googleplus') ); ?>"><?php esc_html_e( 'Google+', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('googleplus') ); ?>" name="<?php echo esc_attr( $this->get_field_name('googleplus') ); ?>" value="<?php echo esc_attr( $googleplus ); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('linkedin') ); ?>"><?php esc_html_e( 'Linkedin', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('linkedin') ); ?>" name="<?php echo esc_attr( $this->get_field_name('linkedin') ); ?>" value="<?php echo esc_attr( $linkedin ); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('youtube') ); ?>"><?php esc_html_e( 'Youtube', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('youtube') ); ?>" name="<?php echo esc_attr( $this->get_field_name('youtube') ); ?>" value="<?php echo esc_attr( $youtube ); ?>" />
		</p>

		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('pinterest') ); ?>"><?php esc_html_e( 'Pinterest', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('pinterest') ); ?>" name="<?php echo esc_attr( $this->get_field_name('pinterest') ); ?>" value="<?php echo esc_attr( $pinterest ); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('dribbble') ); ?>"><?php esc_html_e( 'Dribbble', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('dribbble') ); ?>" name="<?php echo esc_attr( $this->get_field_name('dribbble') ); ?>" value="<?php echo esc_attr( $dribbble ); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('instagram') ); ?>"><?php esc_html_e( 'Instagram', 'djompo' ); ?></label><br>
			<input style="width:216px" id="<?php echo esc_attr( $this->get_field_id('instagram') ); ?>" name="<?php echo esc_attr( $this->get_field_name('instagram') ); ?>" value="<?php echo esc_attr( $instagram ); ?>" />
		</p>

	<?php
	}
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("djompo_socialbox_Widget");') );