/*
*
*	Live Customiser Script
*	------------------------------------------------
	*	Themes Awesome Framework
	* 	Copyright Djompo 2018 - http://www.themesawesome.com
*
*/
( function( $ ){

	'use strict';

	/* ======================== HEADER SECTION ======================== */
			
	// HEADER STYLING

	wp.customize('menu_header',function( value ) {
		value.bind(function(to) {
			$('.logo .site-title a, .header-style-1-wrap .main-menu ul.sm-clean>li>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:active, .header-style-1-wrap .search-wrap #btn-search i, .header-style-1-wrap .main-menu ul.sm-clean>li.current-menu-item>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('menu_header',function( value ) {
		value.bind(function(to) {
			$('.sm-clean a span.sub-arrow').css('border-top-color', to ? to : '' );
		});
	});

	wp.customize('menu_hover_header',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap .main-menu ul.sm-clean>li>a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('menu_border',function( value ) {
		value.bind(function(to) {
			$('.search-box-outer:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('sub_bg',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap ul.sm-clean ul').css('background-color', to ? to : '' );
		});
	});

	wp.customize('sub_menu',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap ul.sm-clean ul li a').css('color', to ? to : '' );
		});
	});

	wp.customize('search_icon',function( value ) {
		value.bind(function(to) {
			$('.header-style-1 .btn--search-close').css('color', to ? to : '' );
		});
	});

	wp.customize('search_active',function( value ) {
		value.bind(function(to) {
			$('.sb-search.sb-search-open .sb-icon-search, .no-js .sb-search .sb-icon-search').css('color', to ? to : '' );
		});
	});

	wp.customize('search_bg_active',function( value ) {
		value.bind(function(to) {
			$('.sb-search.sb-search-open .sb-icon-search, .no-js .sb-search .sb-icon-search').css('background-color', to ? to : '' );
		});
	});


	// HEADER TOP STYLING

	wp.customize('header_info_small',function( value ) {
		value.bind(function(to) {
			$('.head-info-text .small-title').css('color', to ? to : '' );
		});
	});

	wp.customize('header_info_title',function( value ) {
		value.bind(function(to) {
			$('#header .head-info-text .title').css('color', to ? to : '' );
		});
	});

	wp.customize('header_info_icon',function( value ) {
		value.bind(function(to) {
			$('#header .info-wrap i').css('color', to ? to : '' );
		});
	});

	wp.customize('header_bg_btn',function( value ) {
		value.bind(function(to) {
			$('.call-btn a').css('background-color', to ? to : '' );
		});
	});

	wp.customize('header_bg_btn_hover',function( value ) {
		value.bind(function(to) {
			$('.call-btn a:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('header_text_btn',function( value ) {
		value.bind(function(to) {
			$('.call-btn a').css('color', to ? to : '' );
		});
	});

	wp.customize('header_text_btn_hover',function( value ) {
		value.bind(function(to) {
			$('.call-btn a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('header_icon_btn',function( value ) {
		value.bind(function(to) {
			$('.call-btn .header-button-icon').css('color', to ? to : '' );
		});
	});



	/* ======================== CONTENT SECTION ======================== */

	// BLOG

	wp.customize('border_loop',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .image-caption-content.box-shadow-content').css('border-color', to ? to : '' );
		});
	});

	wp.customize('sticky_bg',function( value ) {
		value.bind(function(to) {
			$('.sticky .title-content:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('sticky_text',function( value ) {
		value.bind(function(to) {
			$('.sticky .title-content:before').css('color', to ? to : '' );
		});
	});

	wp.customize('post_meta',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .standard-post-date.span-head, .related-posts .standard-post-date p').css('color', to ? to : '' );
		});
	});

	wp.customize('category_text',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .standard-post-categories.span-head a, .related-posts .standard-post-categories p').css('color', to ? to : '' );
		});
	});

	wp.customize('category_text_hover',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .standard-post-categories.span-head a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('post_title',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .image-caption-content .title-content h2 a, .blog-single .post-content-wrap .title-content h1 a').css('color', to ? to : '' );
		});
	});

	wp.customize('post_hover_title',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .image-caption-content .title-content h2 a:hover, .blog-single .post-content-wrap .title-content h1 a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('post_desc',function( value ) {
		value.bind(function(to) {
			$('.excerpt-content p, .blog-single .post-content-wrap .content p, .post-content-wrap .post-inner .content p').css('color', to ? to : '' );
		});
	});

	wp.customize('read_more',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .button-text').css('color', to ? to : '' );
		});
	});

	wp.customize('read_hover_more',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .button-text:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('read_more_border',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .button-text').css('border-color', to ? to : '' );
		});
	});

	wp.customize('read_more_hover_border',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .button-text:hover').css('border-color', to ? to : '' );
		});
	});

	wp.customize('read_more_hover_bg',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .button-text:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('meta_comment',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .sharing-wrap .count-link').css('color', to ? to : '' );
		});
	});

	wp.customize('meta_comment_hover',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .sharing-wrap .count-link:hover').css('color', to ? to : '' );
		});
	});



	// SINGLE BLOG

	wp.customize('title_single',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .image-caption-content .title-content h2 a, .blog-single .post-content-wrap .title-content h1 a, .single-post-head .post-title, .blog-single .post-author .author-name a, .related-title h4 a, .blog-single .related-posts .title-content h1 a').css('color', to ? to : '' );
		});
	});

	wp.customize('title_single_hover',function( value ) {
		value.bind(function(to) {
			$('.post-content-wrap .image-caption-content .title-content h2 a:hover, .blog-single .post-content-wrap .title-content h1 a:hover, .single-post-head .post-title:hover, .blog-single .post-author .author-name a:hover, .related-title h4 a:hover, .blog-single .related-posts .title-content h1 a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('text_single',function( value ) {
		value.bind(function(to) {
			$('.excerpt-content p, .blog-single .post-content-wrap .content p, .post-content-wrap .post-inner .content p, .blog-single .tag-wrapper p').css('color', to ? to : '' );
		});
	});

	wp.customize('text_quote',function( value ) {
		value.bind(function(to) {
			$('.blog-single .exerpt-content blockquote p').css('color', to ? to : '' );
		});
	});

	wp.customize('quote_icon',function( value ) {
		value.bind(function(to) {
			$('.blog-single blockquote:before').css('color', to ? to : '' );
		});
	});

	wp.customize('tag_text',function( value ) {
		value.bind(function(to) {
			$('.blog-single .tag-wrapper a').css('color', to ? to : '' );
		});
	});

	wp.customize('tag_hover',function( value ) {
		value.bind(function(to) {
			$('.blog-single .tag-wrapper a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('author_border',function( value ) {
		value.bind(function(to) {
			$('.blog-single .post-author .author-wrap').css('border-color', to ? to : '' );
		});
	});

	wp.customize('title_sparator',function( value ) {
		value.bind(function(to) {
			$('.blog-single .related-posts .heading-related:after').css('background-color', to ? to : '' );
		});
	});

	wp.customize('comment_title',function( value ) {
		value.bind(function(to) {
			$('.comment-respond h3.comment-reply-title, .comments-title h3, .related-content h3').css('color', to ? to : '' );
		});
	});

	wp.customize('comment_hover_link',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.logged-in-as a:hover, .comment-action a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_comment_bg',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.form-submit input').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_comment_bg_hover',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.form-submit input:hover, .contact-form-style-1 .wpcf7-submit:hover, .contact-form-style-2 .wpcf7-submit:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_comment_text',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.form-submit input').css('color', to ? to : '' );
		});
	});

	wp.customize('next_archive',function( value ) {
		value.bind(function(to) {
			$('.archive .post-navigation .btn, .search-page .post-navigation .btn').css('color', to ? to : '' );
		});
	});



	// SIDEBAR & WIDGET

	wp.customize('sidebar_search_border',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget.widget_search input').css('border-color', to ? to : '' );
		});
	});

	wp.customize('sidebar_search_icon',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget.widget_search button i').css('color', to ? to : '' );
		});
	});

	wp.customize('sidebar_search_text',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget.widget_search input').css('color', to ? to : '' );
		});
	});

	wp.customize('sidebar_bg',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget').css('background-color', to ? to : '' );
		});
	});

	wp.customize('sidebar_border',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget').css('border-color', to ? to : '' );
		});
	});

	wp.customize('djompo_widget_title',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget h4.widget-title').css('color', to ? to : '' );
		});
	});

	wp.customize('djompo_border_title',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget-title').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('link_text_sidebar',function( value ) {
		value.bind(function(to) {
			$('.sidebar #recent-posts-2 ul li a, .sidebar .widget .recent-news .post-content h5 a, .sidebar #recent-comments-2 ul li a, li.recentcomments, .sidebar #archives-2 ul li a, .sidebar #categories-2 ul li a, .sidebar #meta-2 ul li a, .latest-post-wrap h5 a, .latest-post-wrap .post-content h5, .widget_recent_entries ul li > a').css('color', to ? to : '' );
		});
	});

	wp.customize('link_hover_sidebar',function( value ) {
		value.bind(function(to) {
			$('.sidebar #recent-posts-2 ul li a:hover, .sidebar .widget .recent-news .post-content h5 a:hover, .sidebar #recent-comments-2 ul li a:hover, li.recentcomments:hover, .sidebar #archives-2 ul li a:hover, .sidebar #categories-2 ul li a:hover, .sidebar #meta-2 ul li a:hover, .latest-post-wrap h5 a:hover, .latest-post-wrap .post-content h5:hover, .widget_recent_entries ul li > a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('icon_social_box',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget_djompo_socialbox a').css('color', to ? to : '' );
		});
	});

	wp.customize('icon_social_hover',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget_djompo_socialbox a:hover, .sidebar .widget_djompo_socialbox a i:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('icon_social_border',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget_djompo_socialbox a').css('border-color', to ? to : '' );
		});
	});

	wp.customize('icon_border_hover',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget_djompo_socialbox a:hover, .sidebar .widget_djompo_socialbox a i:hover').css('border-color', to ? to : '' );
		});
	});


	// CONTACT

	wp.customize('form_bord',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input, .contact-form-style-3 textarea').css('border-left-color', to ? to : '' );
			$('.contact-form-style-3 input, .contact-form-style-3 textarea').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('form_bord_hover',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input:hover, .contact-form-style-3 input:focus, .contact-form-style-3 textarea:hover, .contact-form-style-3 textarea:focus').css('border-left-color', to ? to : '' );
			$('.contact-form-style-3 input:hover, .contact-form-style-3 input:focus, .contact-form-style-3 textarea:hover, .contact-form-style-3 textarea:focus').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('text_input',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_send',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input.wpcf7-submit').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_send_text',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-1 input.wpcf7-submit, .contact-form-style-2 input.wpcf7-submit').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_send_hover',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input.wpcf7-submit:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_send_text_hover',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input.wpcf7-submit').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_send_border',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input.wpcf7-submit').css('border-color', to ? to : '' );
		});
	});

	wp.customize('btn_send_hover_border',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-3 input.wpcf7-submit').css('border-color', to ? to : '' );
		});
	});


	/* ======================== FOOTER SECTION ======================== */

	// FOOTER

	wp.customize('footer_text',function( value ) {
		value.bind(function(to) {
			$('.copyright-text, .footer-text-area, #footer.no-redux p, #footer.no-redux a').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_link',function( value ) {
		value.bind(function(to) {
			$('.copyright-text a, .footer-menu li a').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_hover_link',function( value ) {
		value.bind(function(to) {
			$('.copyright-text a:hover, .footer-menu li a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_social',function( value ) {
		value.bind(function(to) {
			$('.footer-bottom .social-footer ul li a').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_hover_social',function( value ) {
		value.bind(function(to) {
			$('.footer-bottom .social-footer ul li a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_widget_bg',function( value ) {
		value.bind(function(to) {
			$('.footer-widget-wrapper').css('background-color', to ? to : '' );
		});
	});

	wp.customize('footer_widget_title',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer h4.widget-title').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_wgtitle_separator',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer h4.widget-title:after').css('background-color', to ? to : '' );
		});
	});

	wp.customize('link_text_widget',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer .latest-post-widget a, .latest-post-wrap h5, .footer-widget .widget_nav_menu ul li a, .footer-widget .widget-footer a, .footer-widget .meta-latest-news span, .footer-widget .meta-latest-news a, .footer-widget .meta-latest-news a span, .footer-widget .date span, .footer-widget .date a').css('color', to ? to : '' );
		});
	});

	wp.customize('link_hover_widget',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer .latest-post-widget a:hover, .footer-widget .widget_nav_menu ul li a:hover, .footer-widget .widget-footer a:hover, .footer-widget .date a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('text_widget',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .textwidget').css('color', to ? to : '' );
		});
	});

	wp.customize('border_widget',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget_nav_menu ul li a:before, .latest-post-wrap .post-content, .footer-widget .widget_nav_menu ul li a:before').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('border_search_footer',function( value ) {
		value.bind(function(to) {
			$('#footer .widget-footer.widget_search input').css('border-color', to ? to : '' );
			$('#footer .widget-footer.widget_search button').css('background-color', to ? to : '' );
		});
	});

	wp.customize('input_search_footer',function( value ) {
		value.bind(function(to) {
			$('#footer .widget-footer.widget_search input').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_footer_widget',function( value ) {
		value.bind(function(to) {
			$('.textwidget .button-footer-widget').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_footer_hover',function( value ) {
		value.bind(function(to) {
			$('.textwidget .button-footer-widget:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_footer_text',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .textwidget a.button-footer-widget').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_footer_text_hover',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .textwidget a.button-footer-widget:hover').css('color', to ? to : '' );
		});
	});




} )( jQuery );